inherit kernel
require recipes-kernel/linux/linux-yocto.inc

LIC_FILES_CHKSUM = "file://COPYING;md5=6bc538ed5bd9a7fc9398086aedcd7e46"

FILESEXTRAPATHS_prepend := "${THISDIR}/files/xuantie-c910:"

SRC_URI = " \
    git://gitee.com/thead-linux/kernel.git;branch=${KMACHINE};protocol=http \
"

LINUX_VERSION ?= "${PV}"
LINUX_VERSION_EXTENSION ?= "-thead"

SRCREV="${AUTOREV}"

DEPENDS += "elfutils-native"

COMPATIBLE_MACHINE = "${MACHINE}"

S = "${WORKDIR}/linux-${PV}"

# KBUILD_DEFCONFIG_qemu64-c910 = "qemux-c910_defconfig"
KBUILD_DEFCONFIG_ice = "ice_defconfig"
# KBUILD_DEFCONFIG_ice-c910 = "ice-c910_defconfig"

KCONFIG_MODE="--alldefconfig"
